gnutls_pkcs11_token_get_flags(3)

NAME
gnutls_pkcs11_token_get_flags - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

int gnutls_pkcs11_token_get_flags(const char * url, unsigned int * flags);

ARGUMENTS

const char * url
    should contain a PKCS 11 URL

unsigned int * flags
    The output flags (GNUTLS_PKCS11_TOKEN_*)

DESCRIPTION
This function will return information about the PKCS 11 token flags. The flags from the gnutls_pkcs11_token_info_t enumeration.

RETURNS
GNUTLS_E_SUCCESS (0) on success or a negative error code on error.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/